#3545 closed task (fixed)

Support O_DIRECTORY open() flag

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: lib Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3530

Description

Use this flag in opendir().

Change History (3)

comment:1 Changed on Oct 12, 2018 at 12:16:56 PM by Sebastian Huber <sebastian.huber@…>

In 35c533f/rtems-source-builder:

5: Update Newlib

Pick up POSIX header file changes and improved opendir() implementation.
This addesses time of check and time of use error conditions (TOCTOU).

Update #3530.
Update #3545.
Update #3546.
Update #3547.

comment:2 Changed on Oct 18, 2018 at 9:13:10 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 4af18b3/rtems:

Support O_DIRECTORY open() flag

Close #3545.

comment:3 Changed on Oct 23, 2018 at 2:02:07 PM by Sebastian Huber <sebastian.huber@…>

In 92e0eed/rtems:

psxreaddir: Adjust test due to opendir() changes

Update #3545.

Note: See TracTickets for help on using tickets.